package com.gic.qywx.self;

/**
 * Created 2020/5/7.
 *
 * @author hua
 */
public enum QywxMediaTypeEnum {

    IMAGE(0, "image"), VOICE(1, "voice"), VIDEO(2, "video"), FILE(3, "file"), LINK(4, "link"), MINIPROGRAM(5,
            "miniprogram"),;
    private int code;
    private String name;

    QywxMediaTypeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getName(int code) {
        QywxMediaTypeEnum[] values = QywxMediaTypeEnum.values();
        for (QywxMediaTypeEnum mediaTypeEnum : values) {
            if (mediaTypeEnum.getCode() == code) {
                return mediaTypeEnum.getName();
            }
        }
        return null;
    }
}
