package com.gic.qywx.self;

import static org.slf4j.LoggerFactory.getLogger;

import java.io.InputStream;
import java.net.URL;

import org.apache.commons.io.IOUtils;
import org.slf4j.Logger;

public class CommonUtil {
    private static final Logger logger = getLogger(CommonUtil.class);

    public static byte[] getFileByte(String url) {
        try (InputStream in = new URL(url).openStream()) {
            return IOUtils.toByteArray(in);
        } catch (Exception e) {
            logger.info("【异常】{} ,{},{}", e.getMessage(), e, url);
        }
        return null;
    }
}